roarfilt(1)

NAME

roarfilt - RoarAudio sound server audio filter client

SYNOPSIS

roarfilt [OPTIONS]...

DESCRIPTION
This filters the audio data before they are send to the soundcard.

GENERAL OPTIONS
NOTE: This list is incomplete! In addition to this list this program provides compatible options for esdfilt. You can just replace the "esd" in the name with "roar" or use symlinks. This options are for compatibly only and should not used in new programs.

--help
    Print some help text.

AUDIO OPTIONS

--rate RATE, -R RATE
    Set server sample rate.

--bits BITS, -B BITS
    Set server bits.

--chans CHANNELS, -C CHANNELS
    Set server channels.

NETWORK OPTIONS

--server SERVER
    The server to connect to.

OLD ROARFILT OPTIONS

--half
    Half the volume.

--double
    Double the volume.

--amp n, --mul n
    Amplify volume by n.

--div n
    Divide volume by n.

FILTER OPTIONS

--filter name
    This adds a new filter of name name.

--ffreq freq
    This sets a frequency for the filter.

--fmul mult
    This sets a multiplier for the filter.

--fdiv div
    This sets a divider for the filter.

--fn N
    This sets the filter's N value.

--flimit limit
    This sets the filter's limit value.

--fmode mode
    set filter mode parameter This sets the filter mode. Symbolic values are currently not supported.

--fq Q
    This sets the filter quality.

ENVIRONMENT VARIABLES
Bellow only the basic environment varibales are listend. For a complete list see libroar(7).

HOME
    The users home directory.

ROAR_SERVER
    The address of the listening server. This may be in form of host:port for TCP/IP connections and /path/to/sock for UNIX Domain Sockets or any other supported format. See roartips(7) for a full list. This is the same as the --server option.

BUGS
There are a lot of bugs...

SEE ALSO
roarctl(1), roarvorbis(1), roarfish(1), roartestclients(1), roartips(7), libroar(7), RoarAudio(7).

HISTORY

For history information see RoarAudio(7).